VSTGUI: UIDescriptionListenerAdapter Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
UIDescriptionListenerAdapter Class Reference
Inheritance diagram for UIDescriptionListenerAdapter:

## Public Member Functions
bool | doUIDescTemplateUpdate (UIDescription *desc, UTF8StringPtr name) override
void | onUIDescTagChanged (UIDescription *desc) override
void | onUIDescColorChanged (UIDescription *desc) override
void | onUIDescFontChanged (UIDescription *desc) override
void | onUIDescBitmapChanged (UIDescription *desc) override
void | onUIDescTemplateChanged (UIDescription *desc) override
void | onUIDescGradientChanged (UIDescription *desc) override
void | beforeUIDescSave (UIDescription *desc) override
Public Member Functions inherited from UIDescriptionListener
virtual | ~UIDescriptionListener () noexcept

## Member Function Documentation

void beforeUIDescSave | ( | UIDescription * | desc | ) |
| inlineoverridevirtual

Implements UIDescriptionListener.

bool doUIDescTemplateUpdate | ( | UIDescription * | desc,
|  | UTF8StringPtr | name
| ) |  |
| inlineoverridevirtual

Implements UIDescriptionListener.

void onUIDescBitmapChanged | ( | UIDescription * | desc | ) |
| inlineoverridevirtual

Implements UIDescriptionListener.

void onUIDescColorChanged | ( | UIDescription * | desc | ) |
| inlineoverridevirtual

Implements UIDescriptionListener.

void onUIDescFontChanged | ( | UIDescription * | desc | ) |
| inlineoverridevirtual

Implements UIDescriptionListener.

void onUIDescGradientChanged | ( | UIDescription * | desc | ) |
| inlineoverridevirtual

Implements UIDescriptionListener.

void onUIDescTagChanged | ( | UIDescription * | desc | ) |
| inlineoverridevirtual

Implements UIDescriptionListener.

void onUIDescTemplateChanged | ( | UIDescription * | desc | ) |
| inlineoverridevirtual

Implements UIDescriptionListener.

The documentation for this class was generated from the following file:

- uidescriptionlistener.h